/// <reference types="react" />
import { ModalProps } from "./Modal.model";
import "./Modal.scss";
type ModalContextProps = {
    modals: ModalProps[];
    createModal: (modal: ModalProps) => void;
    openModal: (id: string) => void;
    closeModal: (id: string, shouldDestroy?: boolean) => void;
    hasModal: (id: string) => boolean;
    destroyModal: (id: string) => void;
    destroyAll: () => void;
};
declare const ModalContext: import("react").Context<ModalContextProps>;
declare const Provider: import("react").Provider<ModalContextProps>;
export { ModalContext, Provider, ModalContextProps };
